summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-02-14 23:20:13 +0200
committerMart Raudsepp <leio@gentoo.org>2018-02-15 00:06:09 +0200
commit1ca0823ed7fa2d438e52a17eefb7e550cfd0d1e0 (patch)
tree9bb96cd29694ad4c268b5c4691aa6b264acba7df /media-plugins
parentmedia-plugins/gst-plugins-libav: bump to 1.12.4 for upstream bug fixes (diff)
downloadgentoo-1ca0823ed7fa2d438e52a17eefb7e550cfd0d1e0.tar.gz
gentoo-1ca0823ed7fa2d438e52a17eefb7e550cfd0d1e0.tar.bz2
gentoo-1ca0823ed7fa2d438e52a17eefb7e550cfd0d1e0.zip
media-plugins/gst-plugins-libav: remove old
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'media-plugins')
-rw-r--r--media-plugins/gst-plugins-libav/Manifest1
-rw-r--r--media-plugins/gst-plugins-libav/gst-plugins-libav-1.10.5.ebuild74
2 files changed, 0 insertions, 75 deletions
diff --git a/media-plugins/gst-plugins-libav/Manifest b/media-plugins/gst-plugins-libav/Manifest
index fad03f7721e..661109d132a 100644
--- a/media-plugins/gst-plugins-libav/Manifest
+++ b/media-plugins/gst-plugins-libav/Manifest
@@ -1,3 +1,2 @@
-DIST gst-libav-1.10.5.tar.xz 8545300 BLAKE2B 02a747bc7f75e5757d918f8f5213a47be3bb0eb67558a30973f02f5b964c2de51c8737aa7d7e74b11f91128830c8f004ef8493671ff0d49ce5e098ee8139240c SHA512 a0636a3b32a5c20eba69a0002fc549facebb0211774e13dd526a3a1eb710f3342662179af6275d619d5075ad0f6dc7068b9950cfb0c60e3ad48249475b39216b
DIST gst-libav-1.12.3.tar.xz 8791724 BLAKE2B 1d69be6a581d00ad939c1d35dd6913f03a816d7daee579a00fa3c39a2d936a3dbecfa576e98243fd2db4d3e76d9fa9b7b3799a00223436621606ba134a90c85e SHA512 33b380b7094afe1db57103eeeca5ae13db98a5bee6785f884a7ec8abb93a94f702eb52f0515f4fa27a0f157ecb0757cf3576df335dc456254f9a82567f5ab7a8
DIST gst-libav-1.12.4.tar.xz 8792776 BLAKE2B 8feb2b6d6b8b0dd018d7e23718112aa803c054e344b190946e598f5af195a7f16c6b10191ff051d74e521b78fc478fcc62a38c4aa3cb5aac303a5b7a16cbda23 SHA512 80ef9b7e179c081996875e452f66a3c5124cb99b5439e15b6ed4edf43e7ed1821b56639eea0db24050f0d5291d2b67d59e884dd71ab9193b5d1820153976f879
diff --git a/media-plugins/gst-plugins-libav/gst-plugins-libav-1.10.5.ebuild b/media-plugins/gst-plugins-libav/gst-plugins-libav-1.10.5.ebuild
deleted file mode 100644
index fc5a98ddae1..00000000000
--- a/media-plugins/gst-plugins-libav/gst-plugins-libav-1.10.5.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit eutils multilib-minimal
-
-MY_PN="gst-libav"
-DESCRIPTION="FFmpeg based gstreamer plugin"
-HOMEPAGE="https://gstreamer.freedesktop.org/modules/gst-libav.html"
-SRC_URI="https://gstreamer.freedesktop.org/src/${MY_PN}/${MY_PN}-${PV}.tar.xz"
-
-LICENSE="GPL-2"
-SLOT="1.0"
-KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd"
-IUSE="libav +orc"
-
-# XXX: bzip2/lzma are automagic
-# Move back to ${PV} deps of gstreamer/gst-plugins-base later; 1.10.4 had it reduced for lone security stabilization
-RDEPEND="
- app-arch/bzip2
- app-arch/xz-utils
- >=dev-libs/glib-2.40.0:2[${MULTILIB_USEDEP}]
- >=media-libs/gstreamer-1.10.3:1.0[${MULTILIB_USEDEP}]
- >=media-libs/gst-plugins-base-1.10.3:1.0[${MULTILIB_USEDEP}]
- !libav? ( >=media-video/ffmpeg-3.2.4:0=[${MULTILIB_USEDEP}] )
- orc? ( >=dev-lang/orc-0.4.17[${MULTILIB_USEDEP}] )
-"
-DEPEND="${RDEPEND}
- >=dev-util/gtk-doc-am-1.12
- >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
-"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-RESTRICT="test" # FIXME: tests seem to get stuck at one point; investigate properly
-
-multilib_src_configure() {
- GST_PLUGINS_BUILD=""
- # Upstream dropped support for system libav and won't work
- # for preserving its compat anymore, forcing us to rely on internal
- # ffmpeg copy if we don't want to cause unresolvable blockers for
- # libav setups.
- # https://bugzilla.gnome.org/show_bug.cgi?id=758183
- # Prefer system ffmpeg for -libav
- local myconf
-
- if use libav; then
- ewarn "Using internal ffmpeg copy as upstream dropped"
- ewarn "the support for compiling against system libav"
- ewarn "https://bugzilla.gnome.org/show_bug.cgi?id=758183"
- else
- myconf="--with-system-libav"
- fi
-
- ECONF_SOURCE=${S} \
- econf \
- --disable-maintainer-mode \
- --with-package-name="Gentoo GStreamer ebuild" \
- --with-package-origin="https://www.gentoo.org" \
- --disable-fatal-warnings \
- $(use_enable orc) \
- ${myconf}
-}
-
-multilib_src_compile() {
- # Don't build with -Werror
- emake ERROR_CFLAGS=
-}
-
-multilib_src_install_all() {
- einstalldocs
- prune_libtool_files --modules
-}